// ---------------------------------------------------------------------------
// Project Name		:	Simple Framework
// File Name		:	deafult.fs
// Author			:	Sun Tjen Fam
// Creation Date	:	2009/10/05
// Purpose			:	basic fragment shader
// ---------------------------------------------------------------------------

// ---------------------------------------------------------------------------
// uniforms

uniform sampler2D uTex0;
uniform sampler2D uTex1;

uniform bool uFlagTex;
uniform bool uFlagNrm;

// ---------------------------------------------------------------------------
// varyings

varying vec3	vNormal;

// ---------------------------------------------------------------------------

void main()
{
	if (uFlagTex)
		// average the 2 textures color and mutiply the vertex color
		gl_FragColor = (texture2D(uTex0, gl_TexCoord[0].st) + texture2D(uTex1, gl_TexCoord[1].st)) * 0.5 * gl_Color;
	else if (uFlagNrm)
		gl_FragColor = vec4(vNormal, 1.0);
	else
		gl_FragColor = gl_Color;
}


